MPC85XX_LOCAL_CO(9)

NAME
mpc85xx_local_config_read - Generate a MPC85xx local config space read

SYNOPSIS

int mpc85xx_local_config_read (int index, u32 offset, int len, u32 * data);

ARGUMENTS

index
    ID of RapdiIO interface

offset
    Offset into configuration space

len Length (in bytes) of the maintenance transaction

data
    Value to be read into

DESCRIPTION

Generates a MPC85xx local configuration space read. Returns 0 on success or -EINVAL on failure.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.